Description

Si intentamos usar la GraphicsLayer falla.

Esto puede afectar a cualquier herramienta que situa un punto para marcar una posicion sobre la vista, por ejemplo la herramienta de
centrar la vista en un punto. Esta herramienta falla con el siquiente error:

 INFO 4187618 [AWT-EventQueue-0] (DefaultActionInfo.java:304) -
org.gvsig.centerviewpoint.app.mainplugin:org.gvsig.centerviewpoint.CenterViewToPointExtension.execute('view-navigation-center-view-to-point')
 INFO 4193356 [AWT-EventQueue-0] (AbstractL
nter-view-to-point')
 INFO 4193356 [AWT-EventQueue-0] (AbstractLocator.java:70) - Created and stored the instance of
FeatureTypeDefinitionsManager in the singleton table
(org.gvsig.app.extension.DefaultFeatureTypeDefinitionsManager/org.gvsig.app.extension.DefaultFeatureTypeDefinitionsManager@171d0bc4).
ERROR 4193765 [AWT-EventQueue-0] (NotificationManager.java:90) - java.lang.IllegalStateException: Classifying field types must be assigned before adding symbol
java.lang.IllegalStateException: Classifying field types must be assigned before adding symbol
        at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.VectorialUniqueVa
er@171d0bc4).
ERROR 4193765 [AWT-EventQueue-0] (NotificationManager.java:90) - java.lang.IllegalStateException: Classifying field types
must be assigned before adding symbol
java.lang.IllegalStateException: Classifying field types must be assigned before adding symbol
        at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.VectorialUniqueValueLegend.addSymbol(VectorialUniqueValueLegend.java:136)
        at org.gvsig.fmap.mapcontext.layers.vectorial.impl.DefaultGraphicLayer.addSymbol(DefaultGraphicLayer.java:250)
        at org.gvsig.centerviewpoint.gui.InputCoordinatesPanel.drawPoint(InputCoordinatesPanel.java:293)
        at org.gvsig.centerviewpoint.gui.InputCoordinatesPanel.access$500(InputCoordinatesPanel.java:67)
        at org.gvsig.centerviewpoint.gui.InputCoordinatesPanel$3.actionPerformed(InputCoordinatesPanel.java:351)

egend.java:136)
        at org.gvsig.fmap.mapcontext.layers.vectorial.impl.DefaultGraphicLayer.addSymbol(DefaultGraphicLayer.java:250)
        at org.gvsig.centerviewpoint.gui.InputCoordinatesPanel.drawPoint(InputCoordinatesPanel.java:293)
        at org.gvsig.centerviewpoint.gui.InputCoordinatesPanel.access$500(InputCoordinatesPanel.java:67)
        at org.gvsig.centerviewpoint.gui.InputCoordinatesPanel$3.actionPerformed(InputCoordinatesPanel.java:351)

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5254: Leyenda símbolos p... Closed 05/01/2020 05/05/2020

Associated revisions
Revision 45006 - 05/05/2020 07:20 PM - Joaquín  del Cerro Murciano

refs #5259, corregido el GraphicsLayer para que inicialice ClassifyingFieldTypes de la leyenda.

History
#1 - 05/05/2020 10:13 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #5254: Leyenda símbolos proporcionales no funciona added

#2 - 05/05/2020 07:34 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#3 - 05/09/2020 04:29 PM - Álvaro Anguix
- Status changed from Fixed to Closed
